summaryrefslogtreecommitdiffstats
path: root/system/rar
diff options
context:
space:
mode:
Diffstat (limited to 'system/rar')
-rw-r--r--system/rar/README7
-rw-r--r--system/rar/rar.SlackBuild38
-rw-r--r--system/rar/rar.info10
-rw-r--r--system/rar/slack-desc4
4 files changed, 40 insertions, 19 deletions
diff --git a/system/rar/README b/system/rar/README
index 6e66eeb492..bb157fe455 100644
--- a/system/rar/README
+++ b/system/rar/README
@@ -3,10 +3,9 @@ rar is a command line utitility used to create RAR archives in Linux.
Since the source code isn't available, this SlackBuild packages the
official binary.
-NOTE: This is only an evaluation copy.
+This is only an evaluation copy.
If you wish to use RAR after the evaluation period of 40 days, you will
have to purchase its license: http://www.rarlab.com/registration.php
-Recommended, but not scrictly required: unrar (available on SlackBuilds.org)
-
-Also note that this is an i386 binary - it won't work on pure x86_64 systems.
+To include unrar in the package, run the script like this:
+UNRAR=yes ./rar.SlackBuild
diff --git a/system/rar/rar.SlackBuild b/system/rar/rar.SlackBuild
index 8bde217f04..969affb30c 100644
--- a/system/rar/rar.SlackBuild
+++ b/system/rar/rar.SlackBuild
@@ -3,9 +3,13 @@
# Slackware build script for rar
# Written by Steven Pledger <piratesmack@ymail.com>
+# Modifed for new rar version with x64 support by Ozan Türkyılmaz ozan.turkyilmaz@gmail.com
+# rev 3: updated to rar 3.9.1, added option to install unrar -steven
+# rev 4: updated to rar 3.9.2
+
PRGNAM=rar
-VERSION=${VERSION:-3.9.b2}
-ARCH=i386
+VERSION=${VERSION:-3.9.2}
+ARCH=${ARCH:-i386}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -14,30 +18,46 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Since the tarball also contains an unrar binary,
+# I've added an option to include it in the package.
+UNRAR=${UNRAR:-no}
+
set -e
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ x64FIX="x64-"
+else
+ ARCH=i386
+ LIBDIRSUFFIX=""
+fi
+
rm -rf $TMP/$PRGNAM $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar xvf $CWD/${PRGNAM}linux-$VERSION.tar.gz
+tar xvf $CWD/${PRGNAM}linux-$x64FIX$VERSION.tar.gz
cd $PRGNAM
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
mkdir -p $PKG/usr/bin
-install -m 755 rar $PKG/usr/bin
+install -m 0755 rar $PKG/usr/bin
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+install -m 0755 default.sfx $PKG/usr/lib${LIBDIRSUFFIX}
-mkdir -p $PKG/usr/lib
-install -m 755 default.sfx $PKG/usr/lib
+if [ "$UNRAR" = "yes" ]; then
+ install -m 0755 unrar $PKG/usr/bin
+fi
mkdir -p $PKG/etc
cat rarfiles.lst > $PKG/etc/rarfiles.lst.new
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -51,4 +71,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/rar/rar.info b/system/rar/rar.info
index dbae39c373..3fad78fad2 100644
--- a/system/rar/rar.info
+++ b/system/rar/rar.info
@@ -1,8 +1,10 @@
PRGNAM="rar"
-VERSION="1.9.b2"
+VERSION="3.9.2"
HOMEPAGE="http://www.rarlab.com/"
-DOWNLOAD="http://www.rarlab.com/rar/rarlinux-3.9.b2.tar.gz"
-MD5SUM="cf2436033f9a741b8aef2ae4d5bd344e"
+DOWNLOAD="http://www.rarlab.com/rar/rarlinux-3.9.2.tar.gz"
+MD5SUM="f26e656025abab02295cb843b24a91c1"
+DOWNLOAD_x86_64="http://www.rarlab.com/rar/rarlinux-x64-3.9.2.tar.gz"
+MD5SUM_x86_64="782a23705cf2fb5a81ee490942462eba"
MAINTAINER="Steven Pledger"
EMAIL="piratesmack@ymail.com"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"
diff --git a/system/rar/slack-desc b/system/rar/slack-desc
index be70b3ec3f..2c8cbf8b5c 100644
--- a/system/rar/slack-desc
+++ b/system/rar/slack-desc
@@ -12,8 +12,8 @@ rar: Create RAR archives in Linux.
rar:
rar: Homepage: http://www.rarlab.com
rar:
-rar:
-rar:
+rar: This is a Shareware Program. You must buy a license from Rar Labs if
+rar: you want to keep using rar.
rar:
rar:
rar: